Generate shorts avatar
curl --request POST \
--url https://www.citedy.com/api/agent/shorts/avatar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"age_range": "26-35",
"type": "tech_founder",
"location": "coffee_shop"
}
'import requests
url = "https://www.citedy.com/api/agent/shorts/avatar"
payload = {
"age_range": "26-35",
"type": "tech_founder",
"location": "coffee_shop"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({age_range: '26-35', type: 'tech_founder', location: 'coffee_shop'})
};
fetch('https://www.citedy.com/api/agent/shorts/avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avatar_url": "<string>",
"r2_key": "<string>",
"credits_charged": 1,
"prompt_used": "<string>",
"prompt_meta": {
"age_years": 34,
"variation_tags": [
"<string>"
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Video (Shorts)
Generate shorts avatar
POST
/
api
/
agent
/
shorts
/
avatar
Generate shorts avatar
Authorizations
Bearer citedy_agent_* key
Body
application/json
Available options:
male, female Available options:
european, asian, african, latin, middle_eastern, south_asian Available options:
18-25, 26-35, 36-50 Available options:
tech_founder, vibe_coder, student, executive Available options:
coffee_shop, dev_cave, street, car, home_office, podcast_studio, glass_office, rooftop, bedroom, park, gym Response
Avatar generated
⌘I
